Sign inGet started

Memberships

GET
/me/memberships
Retrieve a list of all organizations the user is a member of
Parametry zapytania
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
pageToken
string
The cursor that keeps track of the current position in the results.
status
string
Possible values: banned, invited, active
Treść odpowiedzi
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
results
array of object
wymagane
Pokaż atrybuty podrzędne
results.organization
object
wymagane
The organization record
Pokaż atrybuty podrzędne
results.organization.id
string
wymagane
The organization's ID
results.organization.name
string
wymagane
Organization's display name.
results.organization.slug
string
wymagane
Human-readable identifier
results.organization.avatarUrl
string
URL to the organization avatar.
results.organization.status
string
wymagane
Current status
Possible values: active, banned
results.organization.statusReason
string
The reason for the organization's status (if any).
results.organization.pendingMemberCount
integer
How many members are pending to join the organization
results.organization.activeMemberCount
integer
wymagane
How many members are active
results.organization.owner
string
wymagane
ID of the user that owns the organization
results.organization.createdAt
string
wymagane
When the organization was created
results.organization.updatedAt
string
When the organization was last updated
results.organization.managedBy
array of object
List of entities managing the organization
Pokaż atrybuty podrzędne
results.organization.managedBy.Type
string
Type of the entity managing the organization
results.organization.managedBy.ID
string
ID of the entity managing the organization
results.organization.verified
boolean
results.status
string
wymagane
The status of user's membership on the organization.
Possible values: banned, invited, active
results.createdAt
string
wymagane
When the membership was created.
results.updatedAt
string
wymagane
When the membership was last updated.
results.roleIds
array of string
IDs of IAM roles assigned to the user.
results.roleRefs
array of object
The list of roles to assign to the membership
Pokaż atrybuty podrzędne
results.roleRefs.id
string
wymagane
results.roleRefs.type
string
wymagane
Possible values: organization, managed
results.roleRefs.workspaces
array of string
results.requiredSsoAuth
boolean
Indicates if SSO Authentication is required for this membership
results.requiredMfaAuth
boolean
Indicates if MFA Authentication is required for this membership
results.attributes
object
Additional attributes for the membership
Przykład kodu
curl -X GET 'https://api.bird.com/me/memberships' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/me/memberships/{organizationId}
Retrieve a single organization membership object.
Treść odpowiedzi
organization
object
wymagane
The organization record
Pokaż atrybuty podrzędne
organization.id
string
wymagane
The organization's ID
organization.name
string
wymagane
Organization's display name.
organization.slug
string
wymagane
Human-readable identifier
organization.avatarUrl
string
URL to the organization avatar.
organization.status
string
wymagane
Current status
Possible values: active, banned
organization.statusReason
string
The reason for the organization's status (if any).
organization.pendingMemberCount
integer
How many members are pending to join the organization
organization.activeMemberCount
integer
wymagane
How many members are active
organization.owner
string
wymagane
ID of the user that owns the organization
organization.createdAt
string
wymagane
When the organization was created
organization.updatedAt
string
When the organization was last updated
organization.managedBy
array of object
List of entities managing the organization
Pokaż atrybuty podrzędne
organization.managedBy.Type
string
Type of the entity managing the organization
organization.managedBy.ID
string
ID of the entity managing the organization
organization.verified
boolean
status
string
wymagane
The status of user's membership on the organization.
Possible values: banned, invited, active
createdAt
string
wymagane
When the membership was created.
updatedAt
string
wymagane
When the membership was last updated.
roleIds
array of string
IDs of IAM roles assigned to the user.
roleRefs
array of object
The list of roles to assign to the membership
Pokaż atrybuty podrzędne
roleRefs.id
string
wymagane
roleRefs.type
string
wymagane
Possible values: organization, managed
roleRefs.workspaces
array of string
requiredSsoAuth
boolean
Indicates if SSO Authentication is required for this membership
requiredMfaAuth
boolean
Indicates if MFA Authentication is required for this membership
attributes
object
Additional attributes for the membership
Przykład kodu
curl -X GET 'https://api.bird.com/me/memberships/{organizationId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/me/memberships/{organizationId}
Accept a pending invitation to join the organization.
Treść odpowiedzi
organization
object
wymagane
The organization record
Pokaż atrybuty podrzędne
organization.id
string
wymagane
The organization's ID
organization.name
string
wymagane
Organization's display name.
organization.slug
string
wymagane
Human-readable identifier
organization.avatarUrl
string
URL to the organization avatar.
organization.status
string
wymagane
Current status
Possible values: active, banned
organization.statusReason
string
The reason for the organization's status (if any).
organization.pendingMemberCount
integer
How many members are pending to join the organization
organization.activeMemberCount
integer
wymagane
How many members are active
organization.owner
string
wymagane
ID of the user that owns the organization
organization.createdAt
string
wymagane
When the organization was created
organization.updatedAt
string
When the organization was last updated
organization.managedBy
array of object
List of entities managing the organization
Pokaż atrybuty podrzędne
organization.managedBy.Type
string
Type of the entity managing the organization
organization.managedBy.ID
string
ID of the entity managing the organization
organization.verified
boolean
status
string
wymagane
The status of user's membership on the organization.
Possible values: banned, invited, active
createdAt
string
wymagane
When the membership was created.
updatedAt
string
wymagane
When the membership was last updated.
roleIds
array of string
IDs of IAM roles assigned to the user.
roleRefs
array of object
The list of roles to assign to the membership
Pokaż atrybuty podrzędne
roleRefs.id
string
wymagane
roleRefs.type
string
wymagane
Possible values: organization, managed
roleRefs.workspaces
array of string
requiredSsoAuth
boolean
Indicates if SSO Authentication is required for this membership
requiredMfaAuth
boolean
Indicates if MFA Authentication is required for this membership
attributes
object
Additional attributes for the membership
Przykład kodu
curl -X POST 'https://api.bird.com/me/memberships/{organizationId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/me/memberships/{organizationId}
Remove the membership from the organization for the current user
Przykład kodu
curl -X DELETE 'https://api.bird.com/me/memberships/{organizationId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'